Package org.opensaml.soap.soap12

# Interface MustUnderstandBearing

All Known Subinterfaces:
  `EncryptedHeader`

All Known Implementing Classes:
  `EncryptedHeaderImpl`

public interface MustUnderstandBearing
Interface for element having a `@soap12:mustUnderstand` attribute.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SOAP12_MUST_UNDERSTAND_ATTR_LOCAL_NAME`
The soap12:@mustUnderstand attribute local name.
`static final QName`
`SOAP12_MUST_UNDERSTAND_ATTR_NAME`
The soap12:@mustUnderstand qualified attribute name.

## Method Summary

Modifier and Type
Method
Description
`Boolean`
`isSOAP12MustUnderstand()`
Get the attribute value.
`XSBooleanValue`
`isSOAP12MustUnderstandXSBoolean()`
Get the attribute value.
`void`
`setSOAP12MustUnderstand(Boolean newMustUnderstand)`
Set the attribute value.
`void`
`setSOAP12MustUnderstand(XSBooleanValue newMustUnderstand)`
Set the attribute value.

## Field Details

### SOAP12_MUST_UNDERSTAND_ATTR_LOCAL_NAME

@Nonnull @NotEmpty static final String SOAP12_MUST_UNDERSTAND_ATTR_LOCAL_NAME
The soap12:@mustUnderstand attribute local name.

See Also:
  - Constant Field Values

### SOAP12_MUST_UNDERSTAND_ATTR_NAME

@Nonnull static final QName SOAP12_MUST_UNDERSTAND_ATTR_NAME
The soap12:@mustUnderstand qualified attribute name.

## Method Details

### isSOAP12MustUnderstand

@Nullable Boolean isSOAP12MustUnderstand()
Get the attribute value.

Returns:
  return the attribute value

### isSOAP12MustUnderstandXSBoolean

@Nullable XSBooleanValue isSOAP12MustUnderstandXSBoolean()
Get the attribute value.

Returns:
  return the attribute value

### setSOAP12MustUnderstand

void setSOAP12MustUnderstand(@Nullable Boolean newMustUnderstand)
Set the attribute value.

Parameters:
  `newMustUnderstand` - the new attribute value

### setSOAP12MustUnderstand

void setSOAP12MustUnderstand(@Nullable XSBooleanValue newMustUnderstand)
Set the attribute value.

Parameters:
  `newMustUnderstand` - the new attribute value